#
# spec file for package eventviews
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           eventviews
Version:        16.08.2
Release:        1.1
Summary:        Base package of kdepim
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-calendar-devel  = %{version}
BuildRequires:  akonadi-server-devel
BuildRequires:  calendarsupport-devel
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kcalcore-devel
BuildRequires:  kcalutils-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kdgantt2-devel
BuildRequires:  ki18n-devel
BuildRequires:  kidentitymanagement-devel
BuildRequires:  kmime-devel
BuildRequires:  libkdepim-devel  = %{version}
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the eventviews library.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5EventViews5
Summary:        Eventviews Library
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}

%description -n libKF5EventViews5
The eventviews libraries

%post  -n libKF5EventViews5 -p /sbin/ldconfig
%postun -n libKF5EventViews5 -p /sbin/ldconfig

%package devel
Summary:        Library for messages
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libKF5EventViews5 = %{version}
Requires:       akonadi-server-devel
Requires:       calendarsupport-devel
Requires:       kcalcore-devel
Requires:       kcalutils-devel
Requires:       akonadi-calendar-devel

%description devel
The development package for the eventviews libraries

%files
%{_kf5_configdir}/eventviews.categories
%{_kf5_servicetypesdir}/calendardecoration.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/EventViews/
%{_includedir}/KF5/eventviews/
%{_includedir}/KF5/eventviews_version.h
%{_libdir}/cmake/KF5EventViews/
%{_libdir}/libKF5EventViews.so
%{_libdir}/qt5/mkspecs/modules/qt_EventViews.pri

%files -n libKF5EventViews5
%defattr(-,root,root)
%{_libdir}/libKF5EventViews.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Fri Jul 22 2016 wbauer@tmo.at
- Cleanup build requirements
- Add necessary requires to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Wed May 18 2016 jengelh@inai.de
- Set RPM groups
* Mon May  9 2016 wbauer@tmo.at
- Move unversioned files from the lib subpackage to the main one,
  as per the shared library packaging policy
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
